package com.mortals.xhx.base.system.message;

import com.mortals.xhx.webflux.req.RobotTransReq;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;
import reactor.core.publisher.Flux;


public interface MessageService {

    /**
     * 转发消息给fastapi
     * @param robotTransReq
     * @return
     */
    Flux<String> sendMessageToFastApi(SseEmitter sseEmitter, RobotTransReq robotTransReq);



}